import Serverless from "serverless";
import { ServerlessCommandMap, ServerlessHookMap, ServerlessAzureConfig } from "../models/serverless";
export declare abstract class AzureBasePlugin<TOptions = Serverless.Options> {
    protected serverless: Serverless;
    protected options: TOptions;
    hooks: ServerlessHookMap;
    protected config: ServerlessAzureConfig;
    protected commands: ServerlessCommandMap;
    constructor(serverless: Serverless, options: TOptions);
    protected log(message: string): void;
    protected getOption(key: string, defaultValue?: any): string;
}
